# $Revision: 1.4.2.3 $, $Date: 2010/09/09 18:04:29 $
Summary:	MPEG-2 Decoder
Summary(pl.UTF-8):	Dekoder plików MPEG-2
Name:		libmpeg2
Version:	0.5.1
Release:	4
License:	GPL
Group:		X11/Applications/Graphics
Source0:	http://libmpeg2.sourceforge.net/files/%{name}-%{version}.tar.gz
# Source0-md5:	0f92c7454e58379b4a5a378485bbd8ef
Patch0:		%{name}-ppc.patch
URL:		http://libmpeg2.sourceforge.net/
BuildRequires:	SDL-devel
BuildRequires:	XFree86-devel
BuildRequires:	autoconf
BuildRequires:	automake
%ifarch ppc
# version with altivec support (almost?) fixed
BuildRequires:	gcc >= 5:3.3.2-3
# see forced gcc4 at the bottom
BuildRequires:	gcc >= 5:4.1
%endif
BuildRequires:	libtool
Requires:	%{name}-libs = %{version}
Provides:	mpeg2dec = %{version}
Obsoletes:	mpeg2dec < 0.5.1
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%ifarch ppc
%define		__cc	gcc4
%endif

%description
MPEG-2 Decoder.

%description -l pl.UTF-8
Dekoder MPEG-2.

%package libs
Summary:	MPEG-2 Decoder library
Summary(pl.UTF-8):	Biblioteka dekodująca pliki MPEG-2
Group:		Libraries
Provides:	mpeg2dec-lib = %{version}
Obsoletes:	mpeg2dec-lib < 0.5.1

%description libs
MPEG-2 Decoder library and extract_mpeg2 utility.

%description libs -l pl.UTF-8
Biblioteka dekodująca pliki MPEG-2 i narzędzie extract_mpeg2.

%package devel
Summary:	MPEG-2 Decoder development files
Summary(pl.UTF-8):	Pliki dla programistów używających dekodera MPEG-2
Group:		Development/Libraries
Requires:	%{name}-libs = %{version}
Provides:	mpeg2dec-devel = %{version}
Obsoletes:	mpeg2dec-devel < 0.5.1

%description devel
MPEG-2 Decoder development files.

%description devel -l pl.UTF-8
Pliki dla programistów używających dekodera MPEG-2.

%package static
Summary:	MPEG-2 Decoder static libraries
Summary(pl.UTF-8):	Statyczne biblioteki dekodera MPEG-2
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}
Provides:	mpeg2dec-static = %{version}
Obsoletes:	mpeg2dec-static < 0.5.1

%description static
MPEG-2 Decoder static libraries.

%description static -l pl.UTF-8
Statyczne biblioteki dekodera MPEG-2.

%prep
%setup -q
%patch0 -p1

%build
CFLAGS="%{rpmcflags} -DCOFFEE_BREAK=1"
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	%{?debug:--enable-debug} \
	--enable-shared

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	libs -p /sbin/ldconfig
%postun	libs -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/mpeg2dec
%{_mandir}/man1/mpeg2dec.1*

%files libs
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/corrupt_mpeg2
%attr(755,root,root) %{_bindir}/extract_mpeg2
%attr(755,root,root) %{_libdir}/libmpeg2.so.*.*
%attr(755,root,root) %ghost %{_libdir}/libmpeg2.so.0
%attr(755,root,root) %{_libdir}/libmpeg2convert.so.*.*
%attr(755,root,root) %ghost %{_libdir}/libmpeg2convert.so.0
%{_mandir}/man1/extract_mpeg2.1*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libmpeg2.so
%attr(755,root,root) %{_libdir}/libmpeg2convert.so
%{_libdir}/libmpeg2.la
%{_libdir}/libmpeg2convert.la
%{_includedir}/mpeg2dec
%{_pkgconfigdir}/libmpeg2.pc
%{_pkgconfigdir}/libmpeg2convert.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libmpeg2.a
%{_libdir}/libmpeg2convert.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libmpeg2.spec,v $
Revision 1.4.2.3  2010/09/09 18:04:29  glen
- force build with gcc4 on ppc, gcc 3.3.6 on ac just ICEs

Revision 1.4.2.2  2010/08/25 20:04:38  glen
- provide old names

Revision 1.4.2.1  2010/08/25 14:49:10  glen
- ac-deps

Revision 1.4  2010/08/25 14:48:42  glen
- adapter

Revision 1.3  2009/07/09 08:16:09  arekm
- rel 2; fix ppc build

Revision 1.2  2009/06/18 09:35:19  patrys
- try disabling workarounds

Revision 1.1  2009/06/18 09:05:49  patrys
- moved over from old mpeg2dec.spec

Revision 1.33  2009/01/27 22:03:03  patrys
- rel 3

Revision 1.32  2007/02/13 07:16:48  glen
- tabs in preamble

Revision 1.31  2007/02/12 00:49:08  baggins
- converted to UTF-8

Revision 1.30  2007/01/02 10:56:22  arekm
- rel .2

Revision 1.29  2006/03/12 10:48:13  freetz
- md5

Revision 1.28  2006/03/12 10:47:07  freetz
- 0.5.0-20060312 snap

Revision 1.27  2006/02/22 19:00:45  freetz
- asm patch added

Revision 1.26  2006/02/22 18:39:20  freetz
- xorg deps, rel.2

Revision 1.25  2004/01/28 23:56:20  qboosh
- updated to 0.4.0b (fixed typo in x86 ifdef)

Revision 1.24  2004/01/19 20:23:36  qboosh
- found how to use altivec here; release 4

Revision 1.23  2004/01/10 11:08:04  qboosh
- fixed opt patch for sparc, added missing automake call; release 3

Revision 1.22  2004/01/10 10:19:57  qboosh
- workaround for gcc ICE on ppc (altivec-related)

Revision 1.21  2004/01/09 11:27:58  jajcus
- don't try do disable PIC when compiling the library (-use_pic.patch, fixes AMD64 and probably Alpha compilation)

Revision 1.20  2003/12/25 01:37:43  qboosh
- updated to 0.4.0, updated opt patch

Revision 1.19  2003/05/25 11:00:55  malekith
- massive attack, adding Source-md5

Revision 1.18  2003/05/25 05:50:49  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.17  2003/01/28 13:38:30  wrobell
- rel. 3

Revision 1.16  2003/01/27 22:31:20  qboosh
- grr, fixed files after moving

Revision 1.15  2003/01/27 20:22:33  aflinta
- moved to /usr ; release 2

Revision 1.14  2003/01/04 23:50:26  qboosh
- 0.3.1, updated opt patch
- separated lib because of mpeg2dec player dependencies
- moved all but player to /usr (only player uses X11)

Revision 1.13  2002/12/17 12:48:37  blues
- small fix

Revision 1.12  2002/11/25 14:17:44  ankry
- massive attack: no need for 755 for *.la

Revision 1.11  2002/10/09 13:14:40  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.10  2002/09/23 13:39:33  wrobell
- ver. 0.2.1, stb

Revision 1.9  2002/06/23 20:32:32  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.8  2002/05/21 23:14:12  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.7  2002/02/22 23:29:17  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.6  2002/01/18 02:13:57  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.5  2001/10/26 22:25:57  qboosh
- changed -devel,-static Group to X11/Development/Libraries
- remaining pl translations
- removed alsa-lib-devel,arts-devel,esound-devel dependencies - they
  are required by SDL-devel if SDL is built with support for those libs
- opt patch to use %%rpmcflags, spec is %%debug-ready
- release 3

Revision 1.4  2001/07/26 10:55:12  kloczek
- build shared libraries,
- added missing BuildRequires rules,
- few celanups and cosmetics.

Revision 1.3  2001/07/26 09:54:21  blues
- URLs corrected

Revision 1.2  2001/07/26 09:47:50  blues
- Release 2
- make libtool happy - ac 2.5 works now

Revision 1.1  2001/06/12 06:54:11  pascalek
- initial revision
